Sysadmin RPM out of date

Appreciate any help on Update RPM message below. I have FreePBX 12.0.74 and performed:

[[email protected] ~]# yum update sysadmin
Loaded plugins: fastestmirror, kmod
Loading mirror speeds from cached hostfile

••••••••••••••••••••••••••••••••••
Update Required

Your ‘sysadmin’ RPM is out of date. These features require the sysadmin rpm to be updated. Please run the command (as root) ‘yum update sysadmin’.

PBX Firmware: 1.816.210.58-1
PBX Service Pack: 1.0.0.0

I’m unable to resolve…thx Paul

You’re running CentOS 5, so your disto is quite out of date, and I’m quite hesitant to touch sysadmin there. The correct thing to do is to upgrade to the latest FreePBX Distro. I realise that’s not the easiest thing to do though.

I’ll see what I can do.

Edit: Turns out, nothing. You must upgrade to a modern Distro. This is painless, however, as long as you’ve got the latest Backup and Restore module, you can do a backup of your old machine (with the broken sysadmin), and restore it to a freshly installed Distro machine, and it’ll work without any problems. I’ve spent far too much time caring about backup recently :sunglasses:

I would correct Rob’s concept of painless to painful.:slight_smile:

It used to be painful, but I’ve recently done a couple as part of ‘Make backup suck less’ and it’s, honestly, painless these days.